Name:          tint2
Version:       0.11
Release:       1%{?dist}
Summary:       A lightweight panel/taskbar

Group:         User Interface/Desktops
License:       GPLv2
URL:           http://code.google.com/p/tint2/
Source0:       http://tint2.googlecode.com/files/tint2-%{version}.tar.bz2
BuildRoot:     %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: cairo-devel, pango-devel, imlib2-devel, glib2-devel
BuildRequires: libX11-devel, libXcomposite-devel, libXdamage-devel
BuildRequires: libXinerama-devel, libXrender-devel, libXrandr-devel
BuildRequires: cmake, gtk2-devel, desktop-file-utils
#Requires:

%description
Tint2 is a simple panel/taskbar unobtrusive and light (MEM / CPU / aesthetic).
We try to get 'virtual desktop' and 'multi-monitor' easier to use. We follow
freedesktop specifications. 

Features and goals

 * panel with taskbar, systray, clock and battery status
 * easy to customize : color/transparency on font, icon, border and background
 * pager like capability : send task from one workspace to another, switch workspace
 * multi-monitor capability : one panel per monitor, show task from current monitor
 * customize mouse event
 * window manager's menu
 * tooltip
 * autohide
 * clock timezones
 * real & fake transparency with autodetection of composite manager
 * panel's theme switcher 'tint2conf' 


%prep
%setup -q


%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate %{buildroot}/%{_datadir}/applications/tint2conf.desktop

rm -rf $RPM_BUILD_ROOT/usr/share/doc/tint2/

%check
ctest


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL.txt README README.source
%config(noreplace) %{_sysconfdir}/xdg/tint2/tint2rc
%{_bindir}/tint2
%{_bindir}/tint2conf
%{_bindir}//tintwizard.py
%{_mandir}/man1/tint2.1*
%{_datadir}/tint2/default_icon.png
%{_datadir}/pixmaps/tint2conf.*
%{_datadir}/applications/tint2conf.desktop

%define date %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} %{packager} %{version}-%{release}
- Rebuild %{name} %{version}-%{release}

